Name:           libosmo-gprs
Version:        UNKNOWN
Release:        0
Summary:        Osmocom GPRS libraries (CSN.1, RLC/MAC, LLC)
License:        GPL-2.0-or-later and AGPL-3.0-or-later
Group:          Hardware/Mobile
URL:            https://osmocom.org/projects/libosmo-gprs
Source:         %{name}-%{version}.tar.xz
BuildRequires:  autoconf-archive
BuildRequires:  automake >= 1.9
BuildRequires:  libtool >= 2
BuildRequires:  pkgconfig >= 0.20
BuildRequires:  pkgconfig(libosmocore) >= 1.7.0
BuildRequires:  pkgconfig(libosmogsm) >= 1.7.0
BuildRequires:  pkgconfig(talloc)

%description
Osmocom GPRS libraries (CSN.1, RLC/MAC)

This package provides Osmocom GPRS libraries used by osmocom-bb, osmo-pcu,
and osmo-sgsn: libosmo-csn1, libosmo-gprs-llc, libosmo-gprs-rlcmac.

%package -n libosmo-csn1-0
Summary:        CSN.1 (Concrete Syntax Notation 1) codec
License:        GPL-2.0-or-later
Group:          System/Libraries

%description -n libosmo-csn1-0
This package provides facilities for encoding, decoding, and declarative
definition of protocols using CSN.1 (Concrete Syntax Notation 1).  This
implementation was originally developed by ST-Ericsson (Jari Sassi) and
later adopted by Wireshark and osmo-pcu.

%package -n libosmo-csn1-devel
Summary:        Development files for libosmo-csn1
License:        GPL-2.0-or-later
Group:          Development/Libraries/C and C++
Requires:       libosmo-csn1-0 = %{version}

%description -n libosmo-csn1-devel
This package provides development files for compiling a program using
libosmo-csn1 - CSN.1 (Concrete Syntax Notation 1) codec.

%package -n libosmo-gprs-gmm0
Summary:        Osmocom GPRS GMM library
License:        AGPL-3.0-or-later
Group:          System/Libraries

%description -n libosmo-gprs-gmm0
This package provides GMM (GPRS Mobility Management) layer for (E)GPRS.

%package -n libosmo-gprs-gmm-devel
Summary:        Development files for libosmo-gprs-gmm
License:        AGPL-3.0-or-later
Group:          Development/Libraries/C and C++
Requires:       libosmo-gprs-gmm0 = %{version}

%description -n libosmo-gprs-gmm-devel
This package provides development files for compiling a program using
libosmo-gprs-gmm - GMM (GPRS Mobility Management) layer for (E)GPRS.

%package -n libosmo-gprs-llc0
Summary:        Osmocom GPRS LLC library
License:        AGPL-3.0-or-later
Group:          System/Libraries

%description -n libosmo-gprs-llc0
This package provides LLC (Logical Link Control) layer for (E)GPRS.

%package -n libosmo-gprs-llc-devel
Summary:        Development files for libosmo-gprs-llc
License:        AGPL-3.0-or-later
Group:          Development/Libraries/C and C++
Requires:       libosmo-gprs-llc0 = %{version}

%description -n libosmo-gprs-llc-devel
This package provides development files for compiling a program using
libosmo-gprs-llc - LLC (Logical Link Control) layer for (E)GPRS.

%package -n libosmo-gprs-rlcmac0
Summary:        Osmocom GPRS RLC/MAC library
License:        GPL-2.0-or-later
Group:          System/Libraries

%description -n libosmo-gprs-rlcmac0
This package provides RLC/MAC protocol definitions for (E)GPRS.

%package -n libosmo-gprs-rlcmac-devel
Summary:        Development files for libosmo-gprs-rlcmac
License:        GPL-2.0-or-later
Group:          Development/Libraries/C and C++
Requires:       libosmo-gprs-rlcmac0 = %{version}
Requires:       libosmo-csn1-devel = %{version}

%description -n libosmo-gprs-rlcmac-devel
This package provides development files for compiling a program using
libosmo-gprs-rlcmac - RLC/MAC protocol definitions for (E)GPRS.

%package -n libosmo-gprs-sndcp0
Summary:        Osmocom GPRS SNDCP library
License:        AGPL-3.0-or-later
Group:          System/Libraries

%description -n libosmo-gprs-sndcp0
This package provides SNDCP (Subnetwork Dependent Convergence Protocol) layer for (E)GPRS.

%package -n libosmo-gprs-sndcp-devel
Summary:        Development files for libosmo-gprs-sndcp
License:        AGPL-3.0-or-later
Group:          Development/Libraries/C and C++
Requires:       libosmo-gprs-sndcp0 = %{version}

%description -n libosmo-gprs-sndcp-devel
This package provides development files for compiling a program using
libosmo-gprs-sndcp - SNDCP (Subnetwork Dependent Convergence Protocol) layer for (E)GPRS.

%package -n libosmo-gprs-sm0
Summary:        Osmocom GPRS SM library
License:        AGPL-3.0-or-later
Group:          System/Libraries

%description -n libosmo-gprs-sm0
This package provides SM (Session Management) layer for (E)GPRS.

%package -n libosmo-gprs-sm-devel
Summary:        Development files for libosmo-gprs-sm
License:        AGPL-3.0-or-later
Group:          Development/Libraries/C and C++
Requires:       libosmo-gprs-sm0 = %{version}

%description -n libosmo-gprs-sm-devel
This package provides development files for compiling a program using
libosmo-gprs-sm - SM (Session Management) layer for (E)GPRS.

%prep
%setup -q

%build
echo "%{version}" >.tarball-version
autoreconf -fi
%configure --disable-static --includedir="%_includedir/%name"
make %{?_smp_mflags}

%install
%make_install
find "%buildroot/%_libdir" -type f -name "*.la" -delete

%check
make %{?_smp_mflags} check || (find . -name testsuite.log -exec cat {} +)

%post   -n libosmo-csn1-0 -p /sbin/ldconfig
%postun -n libosmo-csn1-0 -p /sbin/ldconfig
%post   -n libosmo-gprs-gmm0 -p /sbin/ldconfig
%postun -n libosmo-gprs-gmm0 -p /sbin/ldconfig
%post   -n libosmo-gprs-llc0 -p /sbin/ldconfig
%postun -n libosmo-gprs-llc0 -p /sbin/ldconfig
%post   -n libosmo-gprs-rlcmac0 -p /sbin/ldconfig
%postun -n libosmo-gprs-rlcmac0 -p /sbin/ldconfig
%post   -n libosmo-gprs-sndcp0 -p /sbin/ldconfig
%postun -n libosmo-gprs-sndcp0 -p /sbin/ldconfig
%post   -n libosmo-gprs-sm0 -p /sbin/ldconfig
%postun -n libosmo-gprs-sm0 -p /sbin/ldconfig

%files -n libosmo-csn1-0
%_libdir/libosmo-csn1.so.0*

%files -n libosmo-csn1-devel
%dir %_includedir/%name
%dir %_includedir/%name/osmocom
%_includedir/%name/osmocom/csn1
%_libdir/libosmo-csn1.so
%_libdir/pkgconfig/libosmo-csn1.pc

%files -n libosmo-gprs-gmm0
%_libdir/libosmo-gprs-gmm.so.0*

%files -n libosmo-gprs-gmm-devel
%dir %_includedir/%name
%dir %_includedir/%name/osmocom
%dir %_includedir/%name/osmocom/gprs
%_includedir/%name/osmocom/gprs/gmm
%_libdir/libosmo-gprs-gmm.so
%_libdir/pkgconfig/libosmo-gprs-gmm.pc

%files -n libosmo-gprs-llc0
%_libdir/libosmo-gprs-llc.so.0*

%files -n libosmo-gprs-llc-devel
%dir %_includedir/%name
%dir %_includedir/%name/osmocom
%dir %_includedir/%name/osmocom/gprs
%_includedir/%name/osmocom/gprs/llc
%_libdir/libosmo-gprs-llc.so
%_libdir/pkgconfig/libosmo-gprs-llc.pc

%files -n libosmo-gprs-rlcmac0
%_libdir/libosmo-gprs-rlcmac.so.0*

%files -n libosmo-gprs-rlcmac-devel
%dir %_includedir/%name
%dir %_includedir/%name/osmocom
%dir %_includedir/%name/osmocom/gprs
%_includedir/%name/osmocom/gprs/rlcmac
%_libdir/libosmo-gprs-rlcmac.so
%_libdir/pkgconfig/libosmo-gprs-rlcmac.pc

%files -n libosmo-gprs-sndcp0
%_libdir/libosmo-gprs-sndcp.so.0*

%files -n libosmo-gprs-sndcp-devel
%dir %_includedir/%name
%dir %_includedir/%name/osmocom
%dir %_includedir/%name/osmocom/gprs
%_includedir/%name/osmocom/gprs/sndcp
%_libdir/libosmo-gprs-sndcp.so
%_libdir/pkgconfig/libosmo-gprs-sndcp.pc

%files -n libosmo-gprs-sm0
%_libdir/libosmo-gprs-sm.so.0*

%files -n libosmo-gprs-sm-devel
%dir %_includedir/%name
%dir %_includedir/%name/osmocom
%dir %_includedir/%name/osmocom/gprs
%_includedir/%name/osmocom/gprs/sm
%_libdir/libosmo-gprs-sm.so
%_libdir/pkgconfig/libosmo-gprs-sm.pc

%changelog
